Pular para o conteúdo principal

Criar Link de Pagamento

POST/api/v1/bank/wallet/payment-link/Bearer Token

Autenticação

Requer Bearer token. Veja Autenticação.

Campos da requisição

CampoTipoObrigatórioDescrição
wallet_uuidstring (UUID)SimCarteira de liquidação
merchant_idstringSimIdentificador do comerciante
regionstringSimCódigo do país (BR, MX, CL)
currencystringSimCódigo de moeda ISO (BRL, MXN, USD)
billing_typestringSiminstallment ou single
charge_typearray de stringsSimMétodos aceitos: credit_card, pix, pix_and_card, card_and_card
namestringSimNome de exibição do link
descriptionstringSimDescrição exibida no checkout
valuenumberSimValor do pagamento
max_installment_countintegerSimMáximo de parcelas (1 para pagamento único)
is_checkoutbooleanNãotrue para uso único; false para reutilizável
redirect_urlstringNãoURL de retorno do cliente após o pagamento
webhook_urlstringNãoURL de webhook substituta para este link

Exemplo de requisição

curl -sS -X POST 'https://core-manager.a55.tech/api/v1/bank/wallet/payment-link/' \
-H 'Authorization: Bearer $ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"wallet_uuid": "00000000-0000-4000-8000-000000000001",
"merchant_id": "merchant_123",
"region": "BR",
"currency": "BRL",
"billing_type": "installment",
"charge_type": ["credit_card", "pix"],
"name": "Monthly Invoice",
"description": "Invoice #INV-2026-042",
"value": 250.00,
"max_installment_count": 3,
"is_checkout": true,
"redirect_url": "https://merchant.example/thanks",
"webhook_url": "https://merchant.example/webhooks/a55"
}'

Exemplo de resposta

{
"payment_link_uuid": "0b9bffcb-2d96-42bb-8641-279bfc8aac19",
"status": "active",
"url": "https://pay.a55.tech/checkout/0b9bffcb-2d96-42bb-8641-279bfc8aac19",
"local_currency": 250.00,
"currency": "BRL",
"usd_currency": 45.00,
"eur_currency": 41.25
}

Distribuição

CanalMétodo
E-mailIncorpore a url em faturas e lembretes
WhatsApp / SMSCole o link HTTPS
Redes sociaisPublique em campanhas
QR codeCodifique a URL para uso em loja ou impressão
SDKA55Pay.open({ checkoutUuid: '<uuid>' })
Compartilhe com segurança

Use HTTPS exclusivamente. Nunca cole secrets ou tokens de pré-autorização em canais públicos.